
From: Geert Uytterhoeven <geert@linux-m68k.org>

Compile fixes for the Moxa serial drivers:

- Add missing #include <linux/init.h>

- Kill warning if CONFIG_PCI is not set


---

 25-akpm/drivers/char/moxa.c  |    5 +++--
 25-akpm/drivers/char/mxser.c |    7 +++----
 2 files changed, 6 insertions(+), 6 deletions(-)

diff -puN drivers/char/moxa.c~moxa-serial-compile-fix drivers/char/moxa.c
--- 25/drivers/char/moxa.c~moxa-serial-compile-fix	Mon Feb  2 12:12:07 2004
+++ 25-akpm/drivers/char/moxa.c	Mon Feb  2 12:12:07 2004
@@ -49,6 +49,7 @@
 #include <linux/tty_driver.h>
 #include <linux/delay.h>
 #include <linux/pci.h>
+#include <linux/init.h>
 
 #include <asm/system.h>
 #include <asm/io.h>
@@ -297,7 +298,7 @@ static struct tty_operations moxa_ops = 
 
 static int __init moxa_init(void)
 {
-	int i, n, numBoards;
+	int i, numBoards;
 	struct moxa_str *ch;
 
 	printk(KERN_INFO "MOXA Intellio family driver version %s\n", MOXA_VERSION);
@@ -415,7 +416,7 @@ static int __init moxa_init(void)
 #ifdef CONFIG_PCI
 	{
 		struct pci_dev *p = NULL;
-		n = (sizeof(moxa_pcibrds) / sizeof(moxa_pcibrds[0])) - 1;
+		int n = (sizeof(moxa_pcibrds) / sizeof(moxa_pcibrds[0])) - 1;
 		i = 0;
 		while (i < n) {
 			while ((p = pci_find_device(moxa_pcibrds[i].vendor, moxa_pcibrds[i].device, p))!=NULL)
diff -puN drivers/char/mxser.c~moxa-serial-compile-fix drivers/char/mxser.c
--- 25/drivers/char/mxser.c~moxa-serial-compile-fix	Mon Feb  2 12:12:07 2004
+++ 25-akpm/drivers/char/mxser.c	Mon Feb  2 12:12:07 2004
@@ -56,6 +56,7 @@
 #include <linux/mm.h>
 #include <linux/smp_lock.h>
 #include <linux/pci.h>
+#include <linux/init.h>
 
 #include <asm/system.h>
 #include <asm/io.h>
@@ -498,7 +499,6 @@ static struct tty_operations mxser_ops =
 static int __init mxser_module_init(void)
 {
 	int i, m, retval, b;
-	int n, index;
 	struct mxser_hwconf hwconf;
 
 	mxvar_sdriver = alloc_tty_driver(MXSER_PORTS + 1);
@@ -602,9 +602,8 @@ static int __init mxser_module_init(void
 #ifdef CONFIG_PCI
 	{
 		struct pci_dev *pdev = NULL;
-
-		n = (sizeof(mxser_pcibrds) / sizeof(mxser_pcibrds[0])) - 1;
-		index = 0;
+		int n = (sizeof(mxser_pcibrds) / sizeof(mxser_pcibrds[0])) - 1;
+		int index = 0;
 		for (b = 0; b < n; b++) {
 			while ((pdev = pci_find_device(mxser_pcibrds[b].vendor, mxser_pcibrds[b].device, pdev)))
 			{

_
